<% title KctGuidepost.symbol+' '+ h(@kct_guidepost.nazev), "#{KctGuidepost.symbol} #{h(@kct_guidepost.nazev)} : KČT rozcestník " %>
<% subtitle "rozcestník #{@kct_guidepost.kctref}" %>
<p id="notice"><%= notice %></p>

<!-- Mapa ============================== -->
<% unless @map_markers.blank?  %>
  <div id="map" class="right_col_map"></div>
  <script>
    <%= map_setup_script(@map_markers.first[0],@map_markers.first[1]); %>
    var hashMarkers = {}; // ready for other markers in the map
    <% @map_markers.each do |marker| %>
      <% map_circle_marker_add(marker, {:openpopup=>true, :text=>marker[2]}) %>;
    <% end %>
  </script>
<% end %>

<!-- Údaje ============================= -->
<ul>
  <li><b>Název:</b>           <%= @kct_guidepost.nazev %> {normalizováno jako: <%= @kct_guidepost.nazev_normalized %>}</li>
  <li><b>KČT ref:</b>         <%= @kct_guidepost.kctref %></li>
  <li><b>Nadmořská výška:</b> <%= @kct_guidepost.vyska  %></li>
  <li><b>Error:</b>           <%= @kct_guidepost.error  %></li>
  <li><b>Interní reference:</b>  
    <%= link_to_not_nil @kct_guidepost.guidepost, :long, ',' %>
    <%= link_to 'žádná, asimiluj rozcestník.', guideposts_path(kct_guidepost: @kct_guidepost), :method=> :post if @kct_guidepost.guidepost.nil? %>
    <%= link_to_not_nil @kct_guidepost.osm_guidepost, @kct_guidepost.osm_guidepost, '.' %>
  </li>
</ul>

<% if @kct_guidepost.guidepost.nil? and @kct_guidepost.importable? %>
  <p>V OSM existuje rozcestník <%= link_to (og=@kct_guidepost.osm_guidepost_by_kctref), osm_guidepost_path(og) %> stejného kctref lze ho 
  <%= link_to "propojit", guideposts_path(guidepost: {osmid: og.osmid, kctref: @kct_guidepost.kctref}), :method=> :post, :class=>'important' %></p>
<% end %>

<p>Podle KČT se nalézá na</p>
<ul><% @kct_guidepost.kct_signs.each do |kct_sign|; kct_trail = kct_sign.kct_trail %>
  <li>
    <%= kct_sign.km %> km <%= kct_trail.icon_img_html %> <%= kct_trail.barva_genetiv %> trasy č. <%= kct_trail.kctref %> 
    <% if kct_trail.exist? %>
      (<%= link_to 'detaily trasy', kct_trail.trail %>, <%= link_to_not_nil 'KČT', kct_trail %>, <%= link_to_not_nil 'OSM', kct_trail.osm_trail %>)
    <% else %>
      (<%= link_to 'detaily KČT trasy', kct_trail %>)
      <% if kct_trail.importable? %>Trasu lze nejspíš <%= link_to "importovat", kct_sign.kct_trail %>.<% end %>
    <% end %>
    <%= kct_trail.kct_guideposts.first.nazev %> - <%= kct_trail.kct_guideposts.last.nazev %>

  </li>
<% end %></ul>

<p>Podle OSM <% if @kct_guidepost.coordinates_by_osm.nil? %> nelze jeho přesnou polohu zjistit.
   <% else %>je jeho předná poloha <%= @kct_guidepost.coordinates_by_osm %>. <% end %>

Odhadovaná poloha dle umístění na značkách je:</p>
<ul><% @kct_guidepost.kct_signs.each do |kct_sign| %>
  <% if kct_sign.kct_trail.exist? and !kct_sign.osm_trail.nil? %>
    <li>Dle <%= link_to kct_sign.kct_trail.osm_trail, kct_sign.kct_trail.osm_trail %> (<%= link_to kct_sign.kct_trail, kct_sign.kct_trail %>) 
        leží na <%= Map.km_to_s(kct_sign.estimated_km_from_osm_kms) %> 
        této trasy čili přibližně na <%= show_point kct_sign.estimated_coordinates_from_osm %>.
    </li>
  <% else %>
    <li>
      Dle <%= link_to 'kct:'+kct_sign.kct_trail.kctref, kct_sign.kct_trail %> 
      nic nezjistím, protože zatím není v databázi
      <% if kct_sign.kct_trail.importable? %>
        (ale možná jde <%= link_to "importovat", kct_sign.kct_trail %>)
      <% end %>.
    </li>
  <% end %>    
<% end %></ul>

<!-- === hoverování objektů na mapě ============== -->
<script>
  $('span.point').mouseenter(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'red', radius:20})
  }).mouseleave(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'none', radius:5})
  }).click(function(event) {
    map.panTo(hashMarkers[$(this).attr('id')].getLatLng())
  });
</script>

<!-- === Actions ================================= -->
<% content_for :navigace do %>
   <%= link_to 'upravit', edit_kct_guidepost_path(@kct_guidepost) %>
 | <%= link_to 'všechny KČT rozcestníky', kct_guideposts_path %>
<% end %>